[Snort-users] Snort 1.8.4 Released?

Kjetil Laasby Kjetil at ...5378...
Sat Mar 23 05:30:02 EST 2002


Hi Sandro , Keith.

Yes - I've torn almost all my hair of trying to upgrade to 1.8.4/mysql -
and it was that simple ;-). (Had a script that parsed the configure
parameters 
from 1.8.3)

When you use --with-mysql=/usr/local/libexec the config.status lacks the
parameters :
"s, at LDFLAGS@, -L/path/mysql,:t t
"s, at CPPFLAGS@, -I/path/mysql -DENABLE_MYSQL,:t t"

The -DENABLE_MYSQL isn't sendt to the compiler. If --with-mysql only,
then it updates correctly.

Greets,
Kjetil Laasby
Sr. Consultant.

-----Original Message-----
From: Poppi, Sandro [mailto:Sandro.Poppi at ...3316...] 
Sent: 22. mars 2002 07:15
To: 'keith at ...5358...'; snort-users at lists.sourceforge.net
Subject: AW: [Snort-users] Snort 1.8.4 Released?

Dis you try
--with-mysql
without any path? This helped for me.

HTH for you too ;)
Sandro
> 
> I downloaded snort-1.8.4.tar.gz dated Sat Mar 16 01:32:36 2002 and it
> doesn't seem to have "beta" in the version info. However, I had some
> problems getting MySQL to work correctly - I compiled using the
> --with-mysql=/usr/local/libexec (doing this on a FreeBSD 4.5 
> box) and it
> couldn't find mysql.  So I went to the snort-stable-snapshot.tar.gz
> dated Wed Mar 13 23:49:12 2002 and it compiled just fine with 
> the mysql
> support.  This one has 'beta5' in the version info.
> 
> Keith Ramsey
> Sr Network Security Engineer
> Inter.net Global Ltd.
> (703)-456-3936
> 
> ---
> Out the NIC, down the cat5, thru the switch, across the 
> router, over the
> T1... Nothing but net!





More information about the Snort-users mailing list